Quikrbox - Api issues - Bug #9175

Store --> Login --> Home Screen --> Menu --> if the store has no products and click on the Menu tab
button then "No internet connection"” toster message comes on the screen

01/18/2024 07:21 PM - Mohd Irfan

Status: Resolved Start date: 01/18/2024
Priority: Normal Due date:

Assignee: olatayo John % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Issue description:
if the store has no products and click on the Menu tab button then the "No internet connection" toster message comes on the screen

See attached screenshot:
History

#1 - 02/02/2024 01:08 PM - Deepak Biltoria

Its an APi Issue
i have informed john about it

the issue is that when there is not product in list that then response we get from api is html with 200 status
this html response content is treated as an internet issue by dio networking package.

#2 - 02/02/2024 01:08 PM - Deepak Biltoria
- Assignee changed from Rakhi Kadyan to Mohd Irfan

#3 - 02/02/2024 02:41 PM - Mohd Irfan
- Project changed from QuikrBox Store app Issues to Quikrbox - Api issues

- Assignee changed from Mohd Irfan to olatayo John

#4 - 02/05/2024 04:30 PM - olatayo John

- Status changed from New to Resolved

if store has no product, it returns {

"data": [],

"status": 200

}
